Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.renderkit
Class RenderKitFactoryImpl

    java.lang.Object
      javax.faces.render.RenderKitFactory
          org.apache.myfaces.renderkit.RenderKitFactoryImpl

public class RenderKitFactoryImpl
extends javax.faces.render.RenderKitFactory

RenderKitFactory implementation as defined in Spec. JSF.7.3

Version:
  $Revision: 169655 $ $Date: 2005-05-11 12:45:06 -0400 (Wed, 11 May 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Field Summary

Fields inherited from class javax.faces.render.RenderKitFactory
`HTML_BASIC_RENDER_KIT`

Constructor Summary
`RenderKitFactoryImpl()`

Method Summary
`void` | `addRenderKit(java.lang.String renderKitId, javax.faces.render.RenderKit renderKit)`
`javax.faces.render.RenderKit` | `getRenderKit(javax.faces.context.FacesContext context, java.lang.String renderKitId)`
`java.util.Iterator` | `getRenderKitIds()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenderKitFactoryImpl

    public RenderKitFactoryImpl()

Method Detail

### addRenderKit

    public void addRenderKit(java.lang.String renderKitId,
                             javax.faces.render.RenderKit renderKit)

### getRenderKit

    public javax.faces.render.RenderKit getRenderKit(javax.faces.context.FacesContext context,
                                                     java.lang.String renderKitId)
                                              throws javax.faces.FacesException

  Throws:
    `javax.faces.FacesException`

### getRenderKitIds

    public java.util.Iterator getRenderKitIds()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD